# alertmanager-bot

![Version: 6.3.2](https://img.shields.io/badge/Version-6.3.2-informational?style=flat-square) ![AppVersion: 0.4.3](https://img.shields.io/badge/AppVersion-0.4.3-informational?style=flat-square)

Bot for Prometheus Alertmanager

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://hub.docker.com/r/metalmatze/alertmanager-bot>
* <https://github.com/metalmatze/alertmanager-bot>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install alertmanager-bot k8s-at-home/alertmanager-bot
```

## Installing the Chart

To install the chart with the release name `alertmanager-bot`

```console
helm install alertmanager-bot k8s-at-home/alertmanager-bot
```

## Uninstalling the Chart

To uninstall the `alertmanager-bot` deployment

```console
helm uninstall alertmanager-bot
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install alertmanager-bot \
  --set env.TZ="America/New York" \
    k8s-at-home/alertmanager-bot
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install alertmanager-bot k8s-at-home/alertmanager-bot -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | See below | environment variables. See [image docs](https://github.com/metalmatze/alertmanager-bot) for more configuration options. |
| env.BOLT_PATH | string | `"/data/bot.db"` | Bolt database path |
| env.STORE | string | `"bolt"` | Storage type |
| env.TZ | string | `"UTC"` | Set the container timezone |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"metalmatze/alertmanager-bot"` | image repository |
| image.tag | string | `"0.4.3"` | image tag |
| ingress | object | Disabled | Enable and configure ingress settings for the chart under this key. |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. |
| probes | object | Disabled | Configures probes for the chart. Normally this does not need to be modified. |
| service | object | Disabled | Configures service settings for the chart. Normally this does not need to be modified. |

## Changelog

### Version 6.3.2

#### Added

N/A

#### Changed

* Upgraded `common` chart dependency to version 4.4.2

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/alertmanager-bot?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
