# amcrest2mqtt

![Version: 2.3.2](https://img.shields.io/badge/Version-2.3.2-informational?style=flat-square) ![AppVersion: 1.0.5](https://img.shields.io/badge/AppVersion-1.0.5-informational?style=flat-square)

Expose all events from an Amcrest device to an MQTT broker

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/dchesterton/amcrest2mqtt>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install amcrest2mqtt k8s-at-home/amcrest2mqtt
```

## Installing the Chart

To install the chart with the release name `amcrest2mqtt`

```console
helm install amcrest2mqtt k8s-at-home/amcrest2mqtt
```

## Uninstalling the Chart

To uninstall the `amcrest2mqtt` deployment

```console
helm uninstall amcrest2mqtt
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install amcrest2mqtt \
  --set env.TZ="America/New York" \
    k8s-at-home/amcrest2mqtt
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install amcrest2mqtt k8s-at-home/amcrest2mqtt -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | See below | environment variables. See more environment variables in the [amcrest2mqtt repo](https://github.com/dchesterton/amcrest2mqtt). |
| env.AMCREST_HOST | string | `nil` | Host name used to connect to the Amcrest device |
| env.AMCREST_PASSWORD | string | `nil` | Password used to connect to the Amcrest device |
| env.AMCREST_PORT | int | `80` | Port used to connect to the Amcrest device |
| env.AMCREST_USERNAME | string | `nil` | User name used to connect to the Amcrest device |
| env.HOME_ASSISTANT | string | `"false"` | Enable Home Assistant autodiscovery |
| env.HOME_ASSISTANT_PREFIX | string | `"homeassistant"` | Home Assistant autodiscovery prefix |
| env.MQTT_HOST | int | `1883` | Host name used to connect to the MQTT broker |
| env.MQTT_PASSWORD | string | `nil` | Password used to connect to the MQTT broker |
| env.MQTT_PORT | string | `nil` | Port used to connect to the MQTT broker |
| env.MQTT_USERNAME | string | `nil` | User name used to connect to the MQTT broker |
| env.TZ | string | `"UTC"` | Set the container timezone |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"dchesterton/amcrest2mqtt"` | image repository |
| image.tag | string | `"1.0.9"` | image tag |

## Changelog

### Version 2.3.2

#### Added

N/A

#### Changed

* Upgraded `common` chart dependency to version 4.4.2

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/amcrest2mqtt?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
