# littlelink-server

![Version: 1.3.2](https://img.shields.io/badge/Version-1.3.2-informational?style=flat-square) ![AppVersion: 1.0.0](https://img.shields.io/badge/AppVersion-1.0.0-informational?style=flat-square)

A lightweight open source alternative to linktree

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/techno-tim/littlelink-server>
* <https://github.com/sethcottle/littlelink>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install littlelink-server k8s-at-home/littlelink-server
```

## Installing the Chart

To install the chart with the release name `littlelink-server`

```console
helm install littlelink-server k8s-at-home/littlelink-server
```

## Uninstalling the Chart

To uninstall the `littlelink-server` deployment

```console
helm uninstall littlelink-server
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install littlelink-server \
  --set env.TZ="America/New York" \
    k8s-at-home/littlelink-server
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install littlelink-server k8s-at-home/littlelink-server -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | See below | environment variables. See more environment variables in the [littlelink-server documentation](https://github.com/techno-tim/littlelink-server). |
| env.FOOTER | string | `"Thanks for stopping by!"` |  INSTAGRAM: https://www.instagram.com/techno.tim YOUTUBE: https://www.youtube.com/channel/UCOk-gHyjcWZNj3Br4oxwh0A TWITCH: https://www.twitch.tv/technotim/ DISCORD: https://discord.gg/DJKexrJ TIKTOK: https://www.tiktok.com/@technotim KIT: https://kit.co/TechnoTim FACEBOOK: https://facebook.com FACEBOOK_MESSENGER: https://facebook.com LINKED_IN: https://linkedin.com PRODUCT_HUNT: https://www.producthunt.com/ SNAPCHAT: https://www.snapchat.com/ SPOTIFY: https://www.spotify.com/ REDDIT: https://www.reddit.com/ MEDIUM: https://medium.com PINTEREST: https://www.pinterest.com/ EMAIL: you@example.com EMAIL_ALT: you@example.com SOUND_CLOUD: https://souncloud.com FIGMA: https://figma.com TELEGRAM: https://telegram.org/ TUMBLR: https://www.tumblr.com/ STEAM: https://steamcommunity.com/ VIMEO: https://vimeo.com/ WORDPRESS: https://wordpress.com/ GOODREADS: https://www.goodreads.com/ SKOOB: https://www.skoob.com.br/ |
| env.TZ | string | `"UTC"` | Set the container timezone |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"ghcr.io/techno-tim/littlelink-server"` | image repository |
| image.tag | string | `"latest"` | image tag |
| ingress.main | object | See values.yaml | Enable and configure ingress settings for the chart under this key. |
| service | object | See values.yaml | Configures service settings for the chart. |

## Changelog

### Version 1.3.2

#### Added

N/A

#### Changed

* Upgraded `common` chart dependency to version 4.4.2

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/littlelink-server?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
