# node-red

![Version: 10.1.2](https://img.shields.io/badge/Version-10.1.2-informational?style=flat-square) ![AppVersion: 2.1.4](https://img.shields.io/badge/AppVersion-2.1.4-informational?style=flat-square)

Node-RED is low-code programming for event-driven applications

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/node-red/node-red-docker>
* <https://github.com/k8s-at-home/charts/tree/master/charts/node-red>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install node-red k8s-at-home/node-red
```

## Installing the Chart

To install the chart with the release name `node-red`

```console
helm install node-red k8s-at-home/node-red
```

## Uninstalling the Chart

To uninstall the `node-red` deployment

```console
helm uninstall node-red
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install node-red \
  --set env.TZ="America/New York" \
    k8s-at-home/node-red
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install node-red k8s-at-home/node-red -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | See below | environment variables. See [image docs](https://nodered.org/docs/getting-started/docker) for more details. |
| env.FLOWS | string | `"flows.json"` | Location of the flows configuration file. If you set `FLOWS: ""` then the flow file can be set via the `flowFile` property in the `settings.js` file. |
| env.NODE_OPTIONS | string | `nil` | Node.js runtime arguments |
| env.NODE_RED_ENABLE_PROJECTS | string | `nil` | Setting to `true` starts Node-RED with the projects feature enabled |
| env.NODE_RED_ENABLE_SAFE_MODE | string | `nil` | Setting to `true` starts Node-RED in safe (not running) mode |
| env.TZ | string | `"UTC"` | Set the container timezone |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"nodered/node-red"` | image repository |
| image.tag | string | `"2.1.4"` | image tag |
| ingress.main | object | See values.yaml | Enable and configure ingress settings for the chart under this key. |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. |
| service | object | See values.yaml | Configures service settings for the chart. |

## Changelog

### Version 10.1.2

#### Added

N/A

#### Changed

* Upgraded `common` chart dependency to version 4.4.2

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/node-red?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
