# seafile

![Version: 2.2.2](https://img.shields.io/badge/Version-2.2.2-informational?style=flat-square) ![AppVersion: 8.0.7](https://img.shields.io/badge/AppVersion-8.0.7-informational?style=flat-square)

seafile helm package

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/haiwen/seafile-docker>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://charts.bitnami.com/bitnami | mariadb | 10.5.1 |
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install seafile k8s-at-home/seafile
```

## Installing the Chart

To install the chart with the release name `seafile`

```console
helm install seafile k8s-at-home/seafile
```

## Uninstalling the Chart

To uninstall the `seafile` deployment

```console
helm uninstall seafile
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install seafile \
  --set env.TZ="America/New York" \
    k8s-at-home/seafile
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install seafile k8s-at-home/seafile -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | See below | environment variables. See more environment variables in the [seafile documentation](https://manual.seafile.com/). |
| env.DB_HOST | string | `"seafile-mariadb"` | The hostname of your database |
| env.DB_ROOT_PASSWD | string | `"seafilerootpass"` | The root password for mysql (used for initial setup) |
| env.SEAFILE_ADMIN_EMAIL | string | `"example@example.com"` | The initial admin user's email |
| env.SEAFILE_ADMIN_PASSWORD | string | `"seafileadminpass"` | The initial admin user's password |
| env.SEAFILE_SERVER_HOSTNAME | string | `nil` | The hostname for the server (set to your ingress hostname) |
| env.TIME_ZONE | string | `"Etc/UTC"` | Set the container timezone |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"seafileltd/seafile-mc"` | image repository |
| image.tag | string | `"8.0.7"` | image tag |
| ingress.main | object | See values.yaml | Enable and configure ingress settings for the chart under this key. |
| mariadb | object | See values.yaml | Enable and configure mariadb database subchart under this key.    For more options see [mariadb chart documentation](https://github.com/bitnami/charts/tree/master/bitnami/mariadb) |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. Note that `shared` is a reserved keyword in the common-chart, make sure you use a diffrent key for persistance. |
| service | object | See values.yaml | Configures service settings for the chart. |

## Changelog

### Version 2.2.2

#### Added

N/A

#### Changed

* Upgraded `common` chart dependency to version 4.4.2

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/seafile?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
